VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IViewContainerListener Class Referenceabstract

ViewContainer Listener Interface. More...

Inheritance diagram for IViewContainerListener:

## Public Member Functions
virtual | ~IViewContainerListener () noexcept=default
virtual void | viewContainerViewAdded (CViewContainer *container, CView *view)=0
| called when a new view was added to the container
virtual void | viewContainerViewRemoved (CViewContainer *container, CView *view)=0
| called when a view was removed from the container
virtual void | viewContainerViewZOrderChanged (CViewContainer *container, CView *view)=0
| called when a view's z-order changed inside the container
virtual void | viewContainerTransformChanged (CViewContainer *container)=0
| called when the transform matrix of the container changed

## Detailed Description

ViewContainer Listener Interface.

## Constructor & Destructor Documentation

virtual ~IViewContainerListener | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void viewContainerTransformChanged | ( | CViewContainer * | container | ) |
| pure virtual

called when the transform matrix of the container changed

Implemented in ViewContainerListenerAdapter, and CLayeredViewContainer.

virtual void viewContainerViewAdded | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| pure virtual

called when a new view was added to the container

Implemented in ViewContainerListenerAdapter, and CShadowViewContainer.

virtual void viewContainerViewRemoved | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| pure virtual

called when a view was removed from the container

Implemented in ViewContainerListenerAdapter, and CShadowViewContainer.

virtual void viewContainerViewZOrderChanged | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| pure virtual

called when a view's z-order changed inside the container

Implemented in ViewContainerListenerAdapter, and CShadowViewContainer.

The documentation for this class was generated from the following file:

- iviewlistener.h